Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Jean Louis <[email-masked]>
Date: Sat, 17 Sep 2022 05:12:59 +0300

* Michael Albinus <[email-masked]> [2022-09-16 14:44]:
> Jean Louis <[email-masked]> writes:
> 
> Best regards, Michael.
> 
> > I have compiled latest Emacs Version.
> >
> > I did this:
> >
> > (add-to-list 'tramp-remote-path "/data/data/com.termux/files/usr/bin")
> >
> > (add-to-list 'tramp-remote-path "/data/data/com.termux/files/usr/bin")
> >
> > (setq tramp-verbose 10
> >       tramp-connection-properties '(("scp:motorola" "tmpdir" "/storage/emulated/0/tmp") ("ssh:motorola" "tmpdir" "/storage/emulated/0/tmp")))
> >
> > Error is that it cannot find `ls' command. I had never problems with
> > it before.
> >
> > Problem is with scp method.
> > ============================
> >
> > If I use ssh method, I can enter. I can enter with rsync method.
> >
> > If I use scp method, with the above information, I get missing `ls'
> > command.
> 
> Have you started "emacs -Q", as indicated several times by me? Nothing
> configured else but the bits from above?

I have noticed that if I cannot even set above settings without
running Tramp at least once as tramp-remote-path is not there until it
gets loaded. After tramp-cleanup-all-connections it started working,
provided I do load-library tramp first.

Without loading Tramp first I was getting that error missing ls
command.

Thank you. I guess it is solved. I will observe it for errors.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/